Groovy Documentation

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsPageFilter

    java.lang.Object
      com.opensymphony.sitemesh.webapp.SiteMeshFilter
          org.codehaus.groovy.grails.web.sitemesh.GrailsPageFilter

    public class GrailsPageFilter
    extends SiteMeshFilter

Extends the default page filter to overide the apply decorator behaviour if the page is a GSP

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `GSP_SITEMESH_PAGE`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest rq, ServletResponse rs, FilterChain chain)`
`void` | `init(FilterConfig fc)`
`protected DecoratorSelector` | `initDecoratorSelector(SiteMeshWebAppContext webAppContext)`

Field Detail

### GSP_SITEMESH_PAGE

    public static final java.lang.String GSP_SITEMESH_PAGE

Method Detail

### destroy

    @Override
    public void destroy()

### doFilter

    @Override
    public void doFilter(ServletRequest rq, ServletResponse rs, FilterChain chain)

### init

    @Override
    public void init(FilterConfig fc)

### initDecoratorSelector

    @Override
    protected DecoratorSelector initDecoratorSelector(SiteMeshWebAppContext webAppContext)

Groovy Documentation